/**
 * 保存csv文件
 * */

#ifndef SAVERESULTCSVENGINE_H
#define SAVERESULTCSVENGINE_H

#include "AppCommon.h"
#include "EngineBase.h"
#include "EngineFactory.h"

class SaveResultCSVEngine : public ai_matrix::EngineBase
{
public:
    SaveResultCSVEngine();
    ~SaveResultCSVEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    //保存车厢的最优结果到CSV中
    bool saveTrainCsv(std::shared_ptr<DetectResultData> pDetectResultData);

    ai_matrix::BaseConfig baseConfig_;

    std::string strPort0_;
    std::string strPort1_;
};

ENGINE_REGIST(SaveResultCSVEngine)

#endif